### Method

# Ide Vcs path_is_ignored

#### Declaration

    gboolean
    ide_vcs_path_is_ignored (
      IdeVcs* self,
      const gchar* path,
      GError** error
    )

#### Description

This function acts like `ide_vcs_is_ignored()` except that it allows for using a regular file-system path.

It will check if the path is absolute or relative to the project directory and adjust as necessary.

For convenience, this function will return `TRUE` if `path` is `NULL`.

If `self` is `NULL`, only registered ignore patterns will be checked.

Available since: | 3.32

#### Parameters

`path` | `const gchar*`
| The path to check.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the path should be ignored. Thread safety: This function is safe to call from a thread as `IdeVcs` implementations are required to ensure this function is thread-safe.